# SoComputeBoundingBox Class Reference
[Engine classes]

`#include <Inventor/engines/SoComputeBoundingBox.h>`

Inheritance diagram for SoComputeBoundingBox:

List of all members.

## Detailed Description

The SoComputeBoundingBox class is used to calculate a bounding box.

This engine is simply a wrapper around the SoGetBoundingBoxAction, for a convenient way of having automatic updating of some data in the scene graph which is dependent on the bounding box of some other part of the scene.

## Public Member Functions

| SoComputeBoundingBox (void)
void | setViewportRegion (const SbViewportRegion &vpr)
const SbViewportRegion & | getViewportRegion (void) const

## Static Public Member Functions

void | initClass (void)

## Public Attributes

SoSFNode | node
SoSFPath | path
SoEngineOutput | min
SoEngineOutput | max
SoEngineOutput | boxCenter
SoEngineOutput | objectCenter

## Protected Member Functions

virtual | ~SoComputeBoundingBox ()

## Constructor & Destructor Documentation

SoComputeBoundingBox::SoComputeBoundingBox | ( | void |  | ) |

| Default constructor. Sets up the internal SoGetBoundingBoxAction instance.

SoComputeBoundingBox::~SoComputeBoundingBox | ( |  | ) | `[protected, virtual]`

| Destructor. Deallocate the SoGetBoundingBoxAction instance.

## Member Function Documentation

void SoComputeBoundingBox::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoComputeBoundingBox::setViewportRegion | ( | const SbViewportRegion & | vpr | ) |

| Set viewport region for the SoGetBoundingBoxAction instance we're using for calculating bounding boxes. The default setting is to use an SbViewportRegion with only default values.

const SbViewportRegion & SoComputeBoundingBox::getViewportRegion | ( | void |  | ) | const

| Returns viewport region used by the internal SoGetBoundingBoxAction instance.

## Member Data Documentation

SoSFNode SoComputeBoundingBox::node

| If this input field is set and SoComputeBoundingBox::path is `NULL`, the resultant bounding box will be the box encompassing the scene graph rooted at this node pointer.

SoSFPath SoComputeBoundingBox::path

| If this input field is not `NULL`, the bounding box values of the given path will be set on the outputs.

SoEngineOutput SoComputeBoundingBox::min

| (SoSFVec3f) Corner coordinates of the bounding box.

SoEngineOutput SoComputeBoundingBox::max

| (SoSFVec3f) Corner coordinates of the bounding box.

SoEngineOutput SoComputeBoundingBox::boxCenter

| (SoSFVec3f) Geometric center point of the bounding box.

SoEngineOutput SoComputeBoundingBox::objectCenter

| (SoSFVec3f) Object center point for the bounding box. See SoGetBoundingBoxAction::getCenter() for an explanation for how this can differ from the geometric center point of the bounding box.

The documentation for this class was generated from the following files:

- SoComputeBoundingBox.h
- SoComputeBoundingBox.cpp